<?php

/**
 * @file
 * Hooks for the Key Per User module.
 */

declare(strict_types=1);

/**
 * Implements hook_field_info_alter() for key_per_user.
 */
function key_per_user_field_info_alter(array &$info): void {
  // Override field_encrypt module's special field.
  $info['encrypted_field_storage']['class'] = '\Drupal\key_per_user\Plugin\Field\FieldType\KeyPerUserEncryptedFieldStorageItem';
}
